<?php
    include("../scripts/connect.php");
    $conexion=conecta_default();

    include("../scripts/session.php");
    //Validar Session
    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
    if(!$sesion->isValida("4"))
    { /*Sesion invalida*/
      header("Location: ../index.php?err=NoSesion");
    }
    else
    {
      $dato=explode("|",$_SESSION['usuario']);
      $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }//fin validar session

    date_default_timezone_set('America/Mexico_City');
    setlocale(LC_ALL,"es_ES");

    $envio=$_POST['flete'];
    $calificado=$_POST['calif'];
    $centroent=$_POST['centroent'];
    $tiponota=$_POST['tiponota'];
    $entre_per=$_POST['entrega_pe'];
    $rexp=$_POST['reexp'];
    $transac=$_POST['id_trans'];
    if($tiponota==11){
             echo "<SCRIPT LANGUAGE='JavaScript'>
              window.onload = function tipo_nota(){document.bgColor = '#A9F5F2';}
              </script>";
          echo "<h1><center>Nota de Salida</center></h1>";
    }
    else echo "<br><font size=\"6\" color=\"#5C3C12\">Nota de venta</font><br><br>";

$hh=0;
    $ob;
    $x=0;
    $w=0;
    $reg=0;
    $reg2=0;
    $peso=0;
    $pesototal;
    $flete; 
    $prod_list=0;
    $listaCantidad[]=NULL;
    $listaNombre[]=NULL;
    $tope=$_POST["topeprom"];
    $lista=array();
    $lista_cant=array();
    $canti[]=NULL;
    $idprod[]=NULL;
    $nombreProd[]=NULL;
    global $prod_exist;

    $cuenta=$_POST['cuentale'];
    $cuentap=$_POST['cuentalep'];
    $idin = $sesion->id;
    $errorinv=false;
?>
<script language='JavaScript' src='popcalendar.js'></script>
<script language='JavaScript' src='../scripts/jquery-2.2.3.min.js'></script>
<script language='JavaScript' src='../scripts/validadorvoucher.js'></script>
<script language='JavaScript' src='../scripts/Val_2.js'></script>
<script language='JavaScript' src="../scripts/control_tipo_pago.js"></script>

<?php
  $rfc=$_POST['rfcpr'];
  $qp = "SELECT id_inver, rfc, nombre, appat, apmat ,estados_idestado, usuarios_ci_idusuarios_ci, cdentrega, tel1, tel2, wa FROM inversionista join transacciones on transacciones.inversionista_id_inver=inversionista.id_inver WHERE idtransacciones =\"$transac\"";
  $cp = mysql_query($qp) or die ('Error (Registro No Encontrado): ' . mysql_error());
  $rp = mysql_fetch_object($cp);
  $id_dist = $rp->id_inver;	
  $rfc = $rp->rfc;	
  $localidad=$rp->estados_idestado;
  $entrega=$rp->cdentrega;
  $tel1=$rp->tel1;
  $tel2=$rp->tel2;
  $wa=$rp->wa;
  $realiza=$rp->usuarios_ci_idusuarios_ci;
  $nombre = $rp->nombre." ".$rp->appat." ".$rp->apmat;
  
   $qa = "SELECT nombre from usuarios_ci WHERE idusuarios_ci = $realiza";
    $ca = mysql_query($qa) or die ('Error (select consec): ' . mysql_error());
    $nrealiza = mysql_fetch_row($ca)[0]; 
     $qa = "SELECT nombre from usuarios_ci WHERE idusuarios_ci = $entrega";
    $ca = mysql_query($qa) or die ('Error (select consec): ' . mysql_error());
    $nentrega = mysql_fetch_row($ca)[0]; 
    
    /*
     $qp1 = "SELECT guias.id_paq as paq, descripcion, flete, peso from guias join paqueterias on paqueterias.id_paq=guias.id_paq WHERE idtransacciones =\"$transac\"";
  $cp1 = mysql_query($qp1) or die ('Error (Registro No Encontrado): ' . mysql_error());
  $rp1 = mysql_fetch_object($cp1);
  $id_paq = $rp1->paq;	
  $paq = $rp1->descripcion;	
  $flete=$rp1->flete;
  $peso=$rp1->peso;
*/ 
    
  
     $qp1 = "SELECT CONCAT_WS(\", \", calle, noINt, noExt, colonia, ciudad, estado, cp, pais) AS direccion, costoEnvio FROM direccionenvio join transaccion_adicionales on direccionenvio.id=transaccion_adicionales.id_direccionenvio WHERE idtransacciones=\"$transac\"";
  $cp1 = mysql_query($qp1) or die ('Error (Registro No Encontrado): ' . mysql_error());
  $rp1 = mysql_fetch_object($cp1);
  $domicilio = $rp1->direccion;	
 $flete=$rp1->costoEnvio;
 
  
  
  $qC3 = "SELECT idreg, apagar from regs2 where id_inver=$id_dist and status=0";
  $cC3 = mysql_query($qC3) or die ('Error (Registro No Encontrado (Tabla regalias)): ' . mysql_error());
  $gtot=0; $puntos=0;
  echo"<center>";
  echo"<FORM ACTION='pedido3.php' method='POST' id='dataped'>";
  echo"<table cellspacing=5>
      <tr><td bgcolor=\"#006633\"><font color=\"#FFFFFF\">RFC</font></td><td bgcolor=\"#CCFFCC\">$rfc</td></tr> 
      <tr><td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Nombre</font></td><td bgcolor=\"#CCFFCC\">$nombre</td></tr> 
      </table><br>
      <table cellspacing=5>
      <tr><td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Realizo</font></td><td bgcolor=\"#CCFFCC\">$realiza $nrealiza</td></tr> 
      <tr><td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Entrega</font></td><td bgcolor=\"#CCFFCC\">$entrega $nentrega</td></tr> 
      </table>
      
      
   
  <br>Contenido del pedido:
			<table border=1><tr><td>
			<table CellPadding=5>
			<tr bgcolor=\"#006633\">
        <th><font color=\"#FFFFFF\">Cant</font></th>
        <th><font color=\"#FFFFFF\">Producto</font></th>
  			<th><font color=\"#FFFFFF\">Precio</font></th>
        <th><font color=\"#FFFFFF\">Puntos</font></th>
			</tr>";
			
			
			
				$promos="SELECT cant, promodesc, precio, puntos, promod.id_promo FROM pedido_real join promod on pedido_real.id_prod=promod.id_promo where pedido_real.transacciones='$transac'";
	
	$cal = mysql_query($promos) or die ('Error (Registro No Encontrado2): ' . mysql_error());
	while($ral = mysql_fetch_row($cal))
   {
	   echo"<TR  bgcolor=\"#CCFFCC\"><td>$ral[0]</td><td>$ral[1]</td><td>$ral[2]</td><td>$ral[3]</td></TR>";
	 $precio1+=  $ral[2]*$ral[0];
	$puntos1+=  $ral[3]*$ral[0];$hh++;

	     $cip="SELECT productos.nombreProd, promop.idprodp, cantp
            from promod join promop on promod.id_promo=promop.promop
            join productos on promop.idprodp=productos.id_prod
            where promod.id_promo = $ral[4]";
      $qcip=mysql_query($cip) or die ("Error en la consulta del id de si es promo: ".mysql_error());

      if(mysql_num_rows($qcip) > 0)
      {
        for($j=0; $rw=mysql_fetch_array($qcip); $j++)
        { 
          echo"
          <tr>
            <td>$rw[2]</td>
            <td>$rw[0]</td>
          </tr>";
       
        }
      }
	
	};
		$linea="SELECT cant, nombreProd, precio, puntos, productos.id_prod FROM pedido_real join productos on pedido_real.id_prod=productos.id_prod where pedido_real.transacciones='$transac' ";
	 $cal = mysql_query($linea) or die ('Error (Registro No Encontrado1): ' . mysql_error());
   while($ral = mysql_fetch_row($cal))
   {
	   echo"<TR  bgcolor=\"#CCFFCC\"><td>$ral[0]</td><td>$ral[1]</td><td>$ral[2]</td><td>$ral[3]</td></TR>";
	   
		 $precio1+=  $ral[2]*$ral[0];
	$puntos1+=  $ral[3]*$ral[0];


	};
		echo"</table></td><td><center><b>Resumen Producto a Entregar:</b><table CellPadding=5>

			<tr bgcolor=\"#006633\"><th><font color=\"#FFFFFF\">Cant</font></th><th><font color=\"#FFFFFF\">Producto</font></th>
			<th><font color=\"#FFFFFF\">Exist</font></th>
			</tr>";

	
	$linea="SELECT cant, nombreProd FROM pedido join productos on pedido.productos_idprod=productos.id_prod where pedido.transacciones_idtransacciones='$transac' ";
	 $cal = mysql_query($linea) or die ('Error (Registro No Encontrado1): ' . mysql_error());
   while($ral = mysql_fetch_row($cal))
   {
	   echo"<TR><td>$ral[0]</td><td>$ral[1]</td></TR>";
	   
	


	};
	echo"</table></td></tr></table>";
	
	//--------------------------
	
	$puntos=$puntos1;
	$gtot=$precio1+$flete;
	echo"<table cellspacing=5>
			<tr bgcolor=\"#CCFFCC\">
			<td>Precio: </td>
			<td><b>$ $precio1</b></td>
      <td>Peso(Kg):</td>
      <td><b>$peso</b></td>
      <td>Flete:</td>
      <td><b>$flete</b></td>";
      if($flete>=1){echo"<td>Paq:</td>
      <td><b>$paq</b></td>";}
      
			echo"<input type='hidden' value='$gtot' id='totals'>
			<td>Puntos:</td>
			<td><b>$puntos</b></td>
			</tr>
			</table><br> Total a pagar con flete <b>$ $gtot</b><br>";
  echo"<br>";
  $qp3 = "select no_ficha, banco_idbanco, fechad, deposito from depositos join pagovta on depositos.transacciones_idtransacciones=pagovta.idtransacciones where transacciones_idtransacciones=$transac";
   $cp3 = mysql_query($qp3) or die ('Error (Registro No Encontrado9): ' . mysql_error());
$rp3 = mysql_fetch_object($cp3);	
	$noficha = $rp3->no_ficha;
	$banco = $rp3->banco_idbanco;
	$fechad = $rp3->fechad;
	$cantd = $rp3->deposito;
	if($banco==1){$elbcon="Scotiabank";}
	if($banco==2){$elbcon="Banamex";}
	if($banco==1){$elbcon="HSBC";}
	
	
  echo"Detalles del deposito<table border=1><tr bgcolor=\"#9ccef0\"><td>No. ficha:</td><td> $noficha </td><td>banco</td><td> $elbcon </td><td>fecha: </td><td>
  $fechad</td><td>cant: </td><td>
  $ $cantd</td></tr></table><br><b>Domicilio de env&iacute;o:</b>
  <table border=1><tr bgcolor=\"#9ccef0\"><td width=530>$domicilio<br>Tels: $wa, $tel1, $tel2</td></tr></table>
  <br>";
  
  
  echo"Forma de Pago:<br><FORM ACTION='eventonew2.php' method='POST' id='dataped'>
			<table cellspacing=5 cellpadding=5>
			<tR bgcolor='#ecf9e8'><td><b>Efectivo:</b></td><td></td><td>$<input type='text' id='efecti' value='$gtot' size=5></td>
			<td><input type='button' onclick='efectivo()' value='Agregar'></td></tr> ";
    if($dato[0]==10 || $dato[0]==13 || $dato[0]==84 || $dato[0]==85){
    echo "
			<tR  bgcolor='#ecf9e8'><td><b>Por Pagar:</b></td><td></td><td>$<input type='text' id='pagop' value='$gtot' size=5></td>
			<td><input type='button' onclick='porpagar()' value='Agregar'></td></tr>";
		}
	echo "		
			<tR  bgcolor='#ecf9e8'><td><b>Dep&oacute;sito:</b></td><td></td><td>$<input type='text' id='depo' value='$gtot' size=5></td>
			<td><input type='button' onclick='depositos()' value='Agregar'></td></tr>
			<tR bgcolor='#ecf9e8'><td><b>Tarjeta:</b></td><td><font color=\"#294da7\"><b>Comision 3%:</b></font><input type='checkbox' id='comis' checked></td>
			<td>$<input type='text' id='montotarje' value='$gtot' size=5></td>
			<td><input type='button' onclick='tarjetas()' value='Agregar'></td></tr>
			<tR bgcolor='#ecf9e8'><td><b>Regalias:</b></td><tD><select name='regs'  id='rega' onchange='activaregs()' ><option value='0' >No Utilizar Regalias</option>";
	while($rCuenta = mysql_fetch_row($cC3))
  {
    echo"<option value='$rCuenta[1]-$rCuenta[0]'>$rCuenta[0] $ $rCuenta[1]</option> ";     
  };
  echo"</select></td>
	    <td>$<input type='text' id='regvalue' size=5 disabled></td><td><input type='button' id='regs' value='Agregar' onclick='regalias()' disabled></td></tR>
	    <tr  bgcolor='#ecf9e8'><td><b>Voucher:</b></td><td>Voucher No.<input type='text' name='vo_id' size='6' id='vouch'><input type='button' value='Buscar' onclick='validarvounota()'>
	    <br><center></label><br>Saldo Disponible:$<label color=\"#294da7\" id='mostrarvalor' value='-'></label></center></td>
			<td>$<input type='text' id='vouvalue' value='0' size=5>
			</td><td><input type='button' value='Agregar' onclick='voucher()'></td></tr></table><br>";
  echo"<input type=hidden name=cuentale value='$cuenta'> <input type=hidden name=cuentalep value='$cuentap'>";
  echo "<input type='hidden' id='valorvou'> ";
	echo"Resumen de Pago:<br><table cellspacing 5>
			
			<tr>
			<td bgcolor=\"#006633\" align=\"center\"><font color=\"#FFFFFF\">Efectivo:</font></td><td>$<input type='text' name='ef' size='5' value='0'   placeholder='Efectivo' id='ef1'  disabled></td></tr>
			<tr>
			<td bgcolor=\"#006633\" align=\"center\"><font color=\"#FFFFFF\">Deposito:</font></td><td>$<input type='text' name='de' size='5' value='0' placeholder='Deposito' id='de1' disabled></td></tr>
			<tr>
			<td bgcolor=\"#006633\" align=\"center\"><font color=\"#FFFFFF\">Tarjeta:</font></td><td>$<input type='text' name='ta' size='5' value='0' id='ta1' placeholder='Tarjeta' disabled ></td></tr>
			<tr>
      <td bgcolor=\"#006633\" align=\"center\"><font color=\"#FFFFFF\">Comision:</font></td><td>$<input type='text' name='tae' size='5' value='0' id='ta2' placeholder='Tarjeta' disabled ></td></tr>
      <tr>
			<td bgcolor=\"#006633\" align=\"center\"><font color=\"#FFFFFF\">Regalias:</font></td><td>$<input type='text' name='re' size='5' value='0'  id='re1' placeholder='Regalias' disabled ></td></tr>
			<tr>
			<td bgcolor=\"#006633\" align=\"center\"><font color=\"#FFFFFF\">Voucher</font></td><td>$<input type='text' name='vo' size='5' value='0'  id='vo1' placeholder='Voucher' disabled ></td></tr>
			<tr>
			<td bgcolor=\"#006633\" align=\"center\"><font color=\"#FFFFFF\">Por Pagar:</font></td><td>$<input type='text' name='pp' size='5' value='0'  id='pp1' placeholder='Por Pagar' disabled ></td></tr>
			<input type='hidden' name='totales' value='$gtot'> 
			
      <input type='hidden' name='tp' value='$tiponota'>
      <input type='hidden' name='cdent' value='$centroent'>

			</table>";	
	echo"<br><font color=\"#294da7\"><b>**Favor de revisar los datos antes de continuar**</b></font><br><br>";
	echo "<input type=hidden name=cuentale value='$cuenta'> <input type='hidden' name='id_trans' value='$transac'><input type=hidden name=cuentalep value='$cuentap'>
				<input type='button' name='confirmap'  value='Continuar' id='avanza' onclick='checartotal()'>
				</form></body></html>";

	echo "<form action='pedido_pendiente.php' method='post'>";
  //Id del comprador
echo "<input type='hidden' name='id_inversionista' value='$id_dist' >";
echo "<input type='hidden' name='tipodnota' value='$tiponota' >";
//lista de productos-nombres de promociones
  for ($k=0; $k<$cuenta; $k++)
  {
    if ($_POST["cant$k"] > 0)
    {
      $A1[$k]=$_POST["cant$k"];
      $A2[$k]=$_POST["copia_nombreProd$k"];
      $A3[$k]=$_POST["copia_precio$k"];
      $A4[$k]=$_POST["copia_id_prod$k"];
      $A5[$k]=$_POST["copia_puntos$k"];
      $A6[$k]=$_POST["existencias$k"];
      echo"<input type=hidden name=copia_id_prod$k value='$A4[$k]'>
      <input type=hidden name=copia_precio$k value='$A3[$k]'>
      <input type=hidden name=copia_puntos$k value='$A5[$k]'>
      <input type=hidden name=cant$k value='$A1[$k]'> 
      <input type=hidden name=copia_nombreProd$k value='$A2[$k]'>";

    }
  }

//lista sumada por tipo de productos
	echo "<input type='hidden' name='ticket_prod' value='" . serialize($listaNombre) . "' >";
    echo "<input type='hidden' name='ticket_canti' value='" . serialize($listaCantidad) . "' >";
//contador_productos
    echo "<input type='hidden' name='cant_prod' value='$cuenta'>";
	echo "</form>"
?>

